<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

<f:if condition="!{settings.isRecordDetailView}">
    <div class="c-header{f:if(condition: '{image -> f:count()} > 0', then: ' c-header--has-image')}" id="c{data.uid}">
        <div class="c-header__container">
            <div class="c-header__inner">
                <f:render section="Header" optional="true">
                    <f:render partial="Header/All" arguments="{_all}" />
                </f:render>
                <f:if condition="{data.bodytext}">
                    <div class="c-header__text">
                        <f:format.html>{data.bodytext}</f:format.html>
                    </div>
                </f:if>
            </div>
        </div>

        <f:if condition="{image -> f:count()} > 0">
            <f:comment><!-- Image --></f:comment>
            <div class="c-header__image">
                <f:for each="{image}" as="file">
                    <f:render partial="Media/Type/Image" arguments="{file: file}" />
                </f:for>
            </div>
        </f:if>
    </div>
</f:if>

</html>
